﻿package  
{
	import flash.display.Loader;
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.NetFilterEvent;
	import flash.filters.GlowFilter;
	import flash.net.URLRequest;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;
	import flash.text.TextFieldAutoSize;
	import flash.text.AntiAliasType;
	import flash.events.MouseEvent;
	
	
	/**
	 * ...
	 * @author Jeroen Oliemans
	 */
	public class CubeTextFace extends MovieClip
	{
		private var _faceColor:Number;
		private var _faceText:String;
		private var _fc:Sprite;
		private var _txtFormat:TextFormat;
		
		
		public function CubeTextFace( faceColor:Number, faceText:String, txtFormat:TextFormat ) 
		{
			_faceColor = faceColor;
			_faceText = faceText;
			_txtFormat = txtFormat;
			trace( _txtFormat.font );
			init();
		}
		
		private function init():void
		{
			makeFace();
			addTextField();
		}
		
		private function addTextField():void
		{	
			var tf:TextField = new TextField();
			tf.width = 90;
			tf.height = 30;
			tf.antiAliasType = AntiAliasType.ADVANCED;
			tf.embedFonts = true;
			tf.defaultTextFormat = _txtFormat;
			tf.text = _faceText;
			addChild(tf);
			
			tf.y = 33;
			tf.x = 5;			
			_fc.addChild( tf );
		}
		
		private function makeFace():void
		{
			_fc = new Sprite();
			_fc.graphics.beginFill( _faceColor );
			_fc.graphics.drawRect( 0, 0, 100, 100 );
			_fc.graphics.endFill();
			
			// add inside glowfilter
			_fc.filters = [ new GlowFilter( 0xffffff, 0.5, 10, 10, 3, 2, true  ) ];
			
			addChild( _fc );
		}
		
	}
	
}